package com.kmall.admin.service.mk.store;

import com.kmall.admin.entity.mk.store.MkStoreTopicStatEntity;

import java.util.List;
import java.util.Map;

/**
 * 门店活动统计Service接口
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-24 17:58:24
 */
public interface MkStoreTopicStatService {

    /**
     * 根据主键查询实体
     *
     * @param storeTopicStatId 主键
     * @return 实体
     */
    MkStoreTopicStatEntity queryObject(Integer storeTopicStatId);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkStoreTopicStatEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkStoreTopicStat 实体
     * @return 保存条数
     */
    int save(MkStoreTopicStatEntity mkStoreTopicStat);

    /**
     * 根据主键更新实体
     *
     * @param mkStoreTopicStat 实体
     * @return 更新条数
     */
    int update(MkStoreTopicStatEntity mkStoreTopicStat);

    /**
     * 根据主键删除
     *
     * @param storeTopicStatId
     * @return 删除条数
     */
    int delete(Integer storeTopicStatId);

    /**
     * 根据主键批量删除
     *
     * @param storeTopicStatIds
     * @return 删除条数
     */
    int deleteBatch(Integer[] storeTopicStatIds);
}
